Subject: Re: bug#10355: Add an option to {md5,sha*} to ignore directories

From: "Alan Curry" <[email-masked]>
Date: Fri, 23 Dec 2011 17:58:51 -0500 (GMT+5)

Bob Proulx writes:
> 
> severity 10355 wishlist
> tags 10355 + notabug wontfix moreinfo
> thanks
> 
> Erik Auerswald wrote:
> > Gilles Espinasse wrote:
> > >I was using a way to check md5sum on a lot of file using
> > >  for myfile in `cat ${ALLFILES}`; do if [ -f /${myfile} ]; then md5sum
> > >/$myfile>>  $ALLFILES}.md5; fi; done
> >...
> > You could use "find $DIR -type f" to list regular files only.
> 
> Yes.  Exactly.  The capability you ask for is already present.

Do you suppose we can convince GNU grep's maintainer to follow this
philosphy?

$ mkdir d
$ touch d/foo
$ grep foo *
$

It opens and reads, gets EISDIR, and intentionally skips printing it. Grr.

But wait, there's a -d option with 3 alternatives for what to do with
directories! ...and none of choices is "just print the EISDIR so I'll know
if I accidentally grepped a directory".

-- 
Alan Curry